### A base TSConfig for working with Node 16 + ESM + Strictest.

Add the package to your `"devDependencies"`:

```sh
npm install --save-dev @tsconfig/node16-strictest-esm
yarn add --dev @tsconfig/node16-strictest-esm
```

Add to your `tsconfig.json`:

```json
"extends": "@tsconfig/node16-strictest-esm/tsconfig.json"
```

---

The `tsconfig.json`: 

```jsonc
// This file was autogenerated by a script
// Equivalent to a config of: strictest extends esm extends node16
{
  "$schema": "https://json.schemastore.org/tsconfig",
  "display": "Node 16 + ESM + Strictest",
  "compilerOptions": {
    "lib": [
      "es2021"
    ],
    "module": "es2022",
    "target": "es2021",
    "strict": true,
    "esModuleInterop": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "allowUnusedLabels": false,
    "allowUnreachableCode": false,
    "exactOptionalPropertyTypes": true,
    "noFallthroughCasesInSwitch": true,
    "noImplicitOverride": true,
    "noImplicitReturns": true,
    "noPropertyAccessFromIndexSignature": true,
    "noUncheckedIndexedAccess": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "importsNotUsedAsValues": "error",
    "checkJs": true
  }
}

```

You can find the [code here](https://github.com/tsconfig/bases/blob/master/bases/node16-strictest-esm.json).
